Package org.eclipse.graphiti.platform.ga

# Enum Class IVisualState.Type

java.lang.Object
java.lang.Enum<IVisualState.Type>
org.eclipse.graphiti.platform.ga.IVisualState.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<IVisualState.Type>`, `Constable`

Enclosing interface:
  IVisualState

public static enum IVisualState.Type extends Enum<IVisualState.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTION_TARGET_FEEDBACK`
`HOVER`
`SELECTION`

## Method Summary

Modifier and Type
Method
Description
`static IVisualState.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IVisualState.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACTION_TARGET_FEEDBACK

public static final IVisualState.Type ACTION_TARGET_FEEDBACK

### SELECTION

public static final IVisualState.Type SELECTION

### HOVER

public static final IVisualState.Type HOVER

## Method Details

### values

public static IVisualState.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IVisualState.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null